Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Class ExpandoMetaClass.ExpandoMetaProperty

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.ExpandoMetaClass.ExpandoMetaProperty

All Implemented Interfaces:
  GroovyObject

Enclosing class:
  ExpandoMetaClass

    protected class ExpandoMetaClass.ExpandoMetaProperty
    extends GroovyObjectSupport

Instances of this class are returned when using the << left shift operator.

Example:

metaClass.myMethod << { String args -> }

This allows callbacks to the ExpandoMetaClass for registering appending methods

Author:
  Graeme Rocher

Field Summary
Modifier and Type | Field and Description
--- | ---
`protected boolean` | `isStatic`
`protected String` | `propertyName`

Constructor Summary
Modifier | Constructor and Description
--- | ---
`protected` | `ExpandoMetaClass.ExpandoMetaProperty(String name)`
`protected` | `ExpandoMetaClass.ExpandoMetaProperty(String name, boolean isStatic)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`Object` | `getProperty(String property)` Retrieves a property value.
`String` | `getPropertyName()`
`boolean` | `isStatic()`
`Object` | `leftShift(Object arg)`
`void` | `setProperty(String property, Object newValue)` Sets the given property to the new value.

Methods inherited from class groovy.lang.GroovyObjectSupport
`getMetaClass, invokeMethod, setMetaClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### propertyName

    protected String propertyName

### isStatic

    protected boolean isStatic

Constructor Detail

### ExpandoMetaClass.ExpandoMetaProperty

    protected ExpandoMetaClass.ExpandoMetaProperty(String name)

### ExpandoMetaClass.ExpandoMetaProperty

    protected ExpandoMetaClass.ExpandoMetaProperty(String name,
                                                   boolean isStatic)

Method Detail

### getPropertyName

    public String getPropertyName()

### isStatic

    public boolean isStatic()

### leftShift

    public Object leftShift(Object arg)

### getProperty

    public Object getProperty(String property)

  Description copied from interface: `GroovyObject`
  Retrieves a property value.

  Specified by:
    `getProperty` in interface `GroovyObject`
  Overrides:
    `getProperty` in class `GroovyObjectSupport`
  Parameters:
    `property` - the name of the property of interest
  Returns:
    the given property

### setProperty

    public void setProperty(String property,
                            Object newValue)

  Description copied from interface: `GroovyObject`
  Sets the given property to the new value.

  Specified by:
    `setProperty` in interface `GroovyObject`
  Overrides:
    `setProperty` in class `GroovyObjectSupport`
  Parameters:
    `property` - the name of the property of interest
    `newValue` - the new value for the property

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD